
Foreman - Bug #4302

dbmigrate fails if :foreman_url is not correctly set

02/10/2014 09:11 AM - Dennis Benndorf

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: DB migrations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When updating from 1.3.2 to 1.4 db_migrate will fail with the following message:

root@puppet:/usr/share/foreman# foreman-rake db:migrate

UpdateForemanUrl: migrating =============================================

rake aborted!

An error has occurred, this and all later migrations canceled:

ActiveRecord::ReadOnlyRecord

Tasks: TOP => db:migrate

(See full trace by running task with --trace)

Changing the Foreman URL in /etc/foreman/settings.yaml from

:foreman_url: foreman

to

:foreman_url: https://foreman.*.*

fixes this!

Related issues:

Is duplicate of Foreman - Bug #4512: foreman_url in settings.yaml causes DB m... New 03/02/2014

History

#1 - 02/10/2014 09:15 AM - Dominic Cleal

- Category set to DB migrations

#2 - 05/18/2017 07:22 PM - Anonymous

- Is duplicate of Bug #4512: foreman_url in settings.yaml causes DB migration failure added

#3 - 05/18/2017 07:22 PM - Anonymous

- Status changed from New to Duplicate
